# BEGIN SourceDeps(oneline):
BuildRequires: perl(CPAN.pm) perl(Carp.pm) perl(Carp/Clan.pm) perl(Catalyst/Exception.pm) perl(Catalyst/Model.pm) perl(Class/Accessor/Fast.pm) perl(Config.pm) perl(Cwd.pm) perl(Data/Dumper.pm) perl(Exporter.pm) perl(ExtUtils/MM_Unix.pm) perl(ExtUtils/MakeMaker.pm) perl(ExtUtils/Manifest.pm) perl(File/Basename.pm) perl(File/Path.pm) perl(File/Slurp.pm) perl(File/Spec.pm) perl(FileHandle.pm) perl(Filter/Util/Call.pm) perl(LWP/Simple.pm) perl(MIME/Base64.pm) perl(Module/Build.pm) perl(MogileFS/Admin.pm) perl(MogileFS/Client.pm) perl(NEXT.pm) perl(Net/FTP.pm) perl(Scalar/Util.pm) perl(Socket.pm) perl(Text/Diff.pm) perl(YAML.pm) perl(base.pm) perl(inc/Module/Install.pm) perl(overload.pm) perl(threads/shared.pm)
# END SourceDeps(oneline)
%define module_version 0.06
%define module_name Catalyst-Model-MogileFS-Client
%define _unpackaged_files_terminate_build 1
BuildRequires: rpm-build-perl perl-devel perl-podlators

Name: perl-%module_name
Version: 0.06
Release: alt1
Summary: Model class of MogileFS::Client on Catalyst
Group: Development/Perl
License: perl
Url: %CPAN %module_name

Source0: http://cpan.org.ua/authors/id/Z/ZI/ZIGOROU/%module_name-%module_version.tar.gz
BuildArch: noarch

%description
in MyApp.pm

  package MyApp;
    MyApp->config(
      'Model::Storage::MyImage' => {
        domain => 'myimage.art-code.org',
        readonly => 1
    }
  );


%prep
%setup -n %module_name-%module_version

%build
%perl_vendor_build

%install
%perl_vendor_install

%files
%doc Changes README
%perl_vendor_privlib/C*

%changelog
* Thu Sep 26 2013 Igor Vlasenko <viy@altlinux.ru> 0.06-alt1
- initial import by package builder

